# -*- encoding: utf-8 -*-
# stub: rack-protection 3.2.0 ruby lib

Gem::Specification.new do |s|
  s.name = "rack-protection".freeze
  s.version = "3.2.0".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "documentation_uri" => "https://www.rubydoc.info/gems/rack-protection", "homepage_uri" => "http://sinatrarb.com/protection/", "rubygems_mfa_required" => "true", "source_code_uri" => "https://github.com/sinatra/sinatra/tree/main/rack-protection" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["https://github.com/sinatra/sinatra/graphs/contributors".freeze]
  s.date = "2023-12-29"
  s.description = "Protect against typical web attacks, works with all Rack apps, including Rails".freeze
  s.email = "sinatrarb@googlegroups.com".freeze
  s.files = ["Gemfile".freeze, "License".freeze, "README.md".freeze, "Rakefile".freeze, "lib/rack-protection.rb".freeze, "lib/rack/protection.rb".freeze, "lib/rack/protection/authenticity_token.rb".freeze, "lib/rack/protection/base.rb".freeze, "lib/rack/protection/content_security_policy.rb".freeze, "lib/rack/protection/cookie_tossing.rb".freeze, "lib/rack/protection/encrypted_cookie.rb".freeze, "lib/rack/protection/encryptor.rb".freeze, "lib/rack/protection/escaped_params.rb".freeze, "lib/rack/protection/form_token.rb".freeze, "lib/rack/protection/frame_options.rb".freeze, "lib/rack/protection/http_origin.rb".freeze, "lib/rack/protection/ip_spoofing.rb".freeze, "lib/rack/protection/json_csrf.rb".freeze, "lib/rack/protection/path_traversal.rb".freeze, "lib/rack/protection/referrer_policy.rb".freeze, "lib/rack/protection/remote_referrer.rb".freeze, "lib/rack/protection/remote_token.rb".freeze, "lib/rack/protection/session_hijacking.rb".freeze, "lib/rack/protection/strict_transport.rb".freeze, "lib/rack/protection/version.rb".freeze, "lib/rack/protection/xss_header.rb".freeze, "lib/rack_protection.rb".freeze, "rack-protection.gemspec".freeze]
  s.homepage = "https://sinatrarb.com/protection/".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.6.0".freeze)
  s.rubygems_version = "3.5.3".freeze
  s.summary = "Protect against typical web attacks, works with all Rack apps, including Rails.".freeze

  s.specification_version = 4

  s.add_runtime_dependency(%q<base64>.freeze, [">= 0.1.0".freeze])
  s.add_runtime_dependency(%q<rack>.freeze, ["~> 2.2".freeze, ">= 2.2.4".freeze])
end

